# TODO
# - python3 package
#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
%bcond_without	doc	# don't build doc

%define 	module	dulwich
Summary:	A Python implementation of the Git file formats and protocols
Name:		python-%{module}
Version:	0.13.0
Release:	1
License:	GPLv2+ or ASL 2.0
Group:		Libraries/Python
Source0:	https://www.dulwich.io/releases/%{module}-%{version}.tar.gz
# Source0-md5:	6dede0626657c2bd08f48ca1221eea91
URL:		https://www.dulwich.io/
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%if %{with tests}
BuildRequires:	python-nose
%endif
%if %{with doc}
BuildRequires:	python-docutils
BuildRequires:	sphinx-pdg
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dulwich is a Python implementation of the Git file formats and
protocols, which does not depend on Git itself.

All functionality is available in pure Python. Optional C extensions
can be built for improved performance.

The project is named after the village in which Mr. and Mrs. Git live
in the Monty Python sketch.

%prep
%setup -q -n %{module}-%{version}
rm -r %{module}.egg-info

%build
CC="%{__cc}" \
CFLAGS="%{rpmcppflags} %{rpmcflags}" \
%py_build

%if %{with tests}
cd dulwich/tests
nosetests-%{py_ver} test*.py
%endif

%if %{with doc}
# sphinx fails with it from time to time with parallel build
%{__make} -C docs -j html
rm -r docs/build/html/_sources
rm docs/build/html/{.buildinfo,objects.inv}
%endif

%install
rm -rf $RPM_BUILD_ROOT
%py_install

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/%{module}/*.[ch]
%{__rm} -r $RPM_BUILD_ROOT%{py_sitedir}/%{module}/tests
%{__rm} -r $RPM_BUILD_ROOT%{py_sitedir}/%{module}/contrib/test_*.py*
%{__rm} -r $RPM_BUILD_ROOT%{py_sitedir}/docs/tutorial

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING %{?with_doc:docs/build/html}
%attr(755,root,root) %{_bindir}/dul-receive-pack
%attr(755,root,root) %{_bindir}/dul-upload-pack
%attr(755,root,root) %{_bindir}/dulwich
%dir %{py_sitedir}/%{module}
%dir %{py_sitedir}/%{module}/contrib
%{py_sitedir}/%{module}/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/_*.so
%{py_sitedir}/%{module}-%{version}-py*.egg-info
%{py_sitedir}/%{module}/contrib/*.py[co]
%changelog
* Mon May 30 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-dulwich.git;a=log;h=master

* Mon May 30 2016 Elan Ruusamäe <glen@delfi.ee> 2ece093
- up to 0.13.0

* Fri Apr 15 2016 Elan Ruusamäe <glen@delfi.ee> 2bf830f
- update url

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 56eaeb6
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 2dfc2e3
- automatic change: use py_build/py_install macros

* Tue Oct 27 2015 Elan Ruusamäe <glen@delfi.ee> e156b51
- clarify description, this is version with C parts being built

* Tue Oct 27 2015 Elan Ruusamäe <glen@delfi.ee> 91739a9
- bcond/test specific deps

* Tue Oct 27 2015 Elan Ruusamäe <glen@delfi.ee> b7468a6
- BR python-devel

* Tue Oct 27 2015 Elan Ruusamäe <glen@delfi.ee> 44b0d13
- new, version 0.11.2

